import request from "@/util/oaRequest"

// 查询项目进度步骤跟踪列表
export function listProjectScheduleStep (query) {
  return request({
    url: '/oa/projectScheduleStep/list',
    method: 'get',
    params: query
  })
}

// 查询项目进度步骤跟踪详细
export function getProjectScheduleStep (trackId) {
  return request({
    url: '/oa/projectScheduleStep/' + trackId,
    method: 'get'
  })
}

// 新增项目进度步骤跟踪
export function addProjectScheduleStep (data) {
  return request({
    url: '/oa/projectScheduleStep',
    method: 'post',
    data: data
  })
}

// 修改项目进度步骤跟踪
export function updateProjectScheduleStep (data) {
  return request({
    url: '/oa/projectScheduleStep',
    method: 'put',
    data: data
  })
}

// 修改项目进度步骤跟踪
export function changeBatch (data) {
  return request({
    url: '/oa/projectScheduleStep/change-batch',
    method: 'put',
    data: data
  })
}

// 删除项目进度步骤跟踪
export function delProjectScheduleStep (trackId) {
  return request({
    url: '/oa/projectScheduleStep/' + trackId,
    method: 'delete'
  })
}

export function listPage (query) {
  return request({
    url: '/oa/projectScheduleStep/listPage',
    method: 'get',
    params: query
  })
}
